Получить пользовательское поле по идентификатору crm.invoice.userfield.get

Scope: crm

Кто может выполнять метод: любой пользователь

DEPRECATED

Развитие метода остановлено. Используйте Универсальные методы для счетов.

Метод возвращает пользовательское поле счетов по идентификатору.

Параметры

Название
тип

Описание

id
integer

Идентификатор пользовательского поля

Примеры кода

Как использовать примеры в документации

curl -X POST \
        -H "Content-Type: application/json" \
        -H "Accept: application/json" \
        -d '{"id": "**put_id_here**"}' \
        https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.invoice.userfield.get
        
curl -X POST \
        -H "Content-Type: application/json" \
        -H "Accept: application/json" \
        -d '{"id": "**put_id_here**", "auth": "**put_access_token_here**"}' \
        https://**put_your_bitrix24_address**/rest/crm.invoice.userfield.get
        
try
        {
        	const id = prompt("Введите ID");
        	const response = await $b24.callMethod(
        		"crm.invoice.userfield.get",
        		{id: id}
        	);
        	
        	const result = response.getData().result;
        	if (result.error())
        	{
        		console.error(result.error());
        	}
        	else
        	{
        		console.dir(result);
        	}
        }
        catch( error )
        {
        	console.error('Error:', error);
        }
        
$id = $_POST['id'];
        
        try {
            $response = $b24Service
                ->core
                ->call(
                    'crm.invoice.userfield.get',
                    [
                        'id' => $id,
                    ]
                );
        
            $result = $response
                ->getResponseData()
                ->getResult();
        
            if ($result->error()) {
                error_log($result->error());
            } else {
                echo 'Success: ' . print_r($result->data(), true);
            }
        
        } catch (Throwable $e) {
            error_log($e->getMessage());
            echo 'Error getting user field: ' . $e->getMessage();
        }
        
var id = prompt("Введите ID");
        BX24.callMethod(
            "crm.invoice.userfield.get",
            {id: id},
            function (result)
            {
                if (result.error())
                    console.error(result.error());
                else
                    console.dir(result.data());
            }
        );
        
require_once('crest.php');
        
        $id = $_REQUEST['id']; // Assuming ID is passed as a request parameter
        
        $result = CRest::call(
            'crm.invoice.userfield.get',
            ['id' => $id]
        );
        
        echo '<PRE>';
        print_r($result);
        echo '</PRE>';